package com.pm.device.service.impl;

import java.util.List;
import com.pm.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.pm.device.mapper.IbmsDeviceMapper;
import com.pm.device.service.IIbmsDeviceService;
import com.pm.common.config.PageData;

/**
 * 设备基础信息Service业务层处理
 *
 * @author lxf
 * @date 2025-04-29
 */
@Service
public class IbmsDeviceServiceImpl implements IIbmsDeviceService
{
    @Autowired
    private IbmsDeviceMapper ibmsDeviceMapper;

    /**
     * 查询设备基础信息
     *
     * @param id 设备基础信息主键
     * @return 设备基础信息
     */
    @Override
    public PageData selectIbmsDeviceById(Long id)
    {
        return ibmsDeviceMapper.selectIbmsDeviceById(id);
    }

    /**
     * 查询设备基础信息列表
     *
     * @param pd
     * @return 设备基础信息
     */
    @Override
    public List<PageData> selectIbmsDeviceList(PageData pd)
    {
        return ibmsDeviceMapper.selectIbmsDeviceList(pd);
    }

    /**
     * 新增设备基础信息
     *
     * @param pd
     * @return 结果
     */
    @Override
    public int insertIbmsDevice(PageData pd)
    {
        pd.put("createTime", DateUtils.getTime());
        return ibmsDeviceMapper.insertIbmsDevice(pd);
    }

    /**
     * 修改设备基础信息
     *
     * @param pd
     * @return 结果
     */
    @Override
    public int updateIbmsDevice(PageData pd)
    {
        pd.put("updateTime", DateUtils.getTime());
        return ibmsDeviceMapper.updateIbmsDevice(pd);
    }

    /**
     * 批量删除设备基础信息
     *
     * @param ids 需要删除的设备基础信息主键
     * @return 结果
     */
    @Override
    public int deleteIbmsDeviceByIds(Long[] ids)
    {
        return ibmsDeviceMapper.deleteIbmsDeviceByIds(ids);
    }

    /**
     * 删除设备基础信息信息
     *
     * @param id 设备基础信息主键
     * @return 结果
     */
    @Override
    public int deleteIbmsDeviceById(Long id)
    {
        return ibmsDeviceMapper.deleteIbmsDeviceById(id);
    }
}
